Subject: Re: bug#29949: 26.0.90; doc of `picture-mode-exit' and `picture-mode'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Jan 2018 21:38:03 +0200

> Date: Tue, 2 Jan 2018 09:34:57 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> 1. The doc string of `picture-mode-exit' should mention the prefix arg
> (not just arg).

Fixed, thanks.

> 2. Both doc strings incorrectly give the impression that a line that has
> only whitespace (e.g. space chars) is NOT stripped of its whitespace
> chars if you provide an argument.
> 
> The command functions correctly, which is to strip all such lines except
> the one with point.  The whitespace preceding point on its line is not
> stripped when you use a prefix arg.  This is the only whitespace that is
> not stripped when you use a prefix arg.

I see nothing like what you describe.  The behavior I see is exactly
what the doc strings say: trailing whitespace is removed, unless the
exit command is invoked with C-u.  Empty lines are treated as any
other trailing whitespace, i.e. removed in their entirety.